Bug 1353135 - /usr/bin/js-beautify fails to start
Summary: /usr/bin/js-beautify fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-js-beautify
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Eduardo Mayorga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-06 08:07 UTC by Jonny Heggheim
Modified: 2016-07-18 20:52 UTC (History)
3 users (show)

Fixed In Version: nodejs-js-beautify-1.6.3-1.fc24 nodejs-js-beautify-1.6.3-1.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-17 00:52:45 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
$ env (2.89 KB, text/plain)
2016-07-06 08:07 UTC, Jonny Heggheim
no flags Details

Description Jonny Heggheim 2016-07-06 08:07:30 UTC
Created attachment 1176797 [details]
$ env

Version-Release number of selected component:
$ rpm -q nodejs nodejs-js-beautify 
nodejs-4.4.6-2.fc24.x86_64
nodejs-js-beautify-1.5.10-5.fc24.noarch

How reproducible:
$ /usr/bin/js-beautify --help

Actual results:
module.js:327
    throw err;
    ^

Error: Cannot find module '../index'
    at Function.Module._resolveFilename (module.js:325:15)
    at Function.Module._load (module.js:276:25)
    at Module.require (module.js:353:17)
    at require (internal/module.js:12:17)
    at Object.<anonymous> (/usr/lib/node_modules/js-beautify/lib/cli.js:41:16)
    at Module._compile (module.js:409:26)
    at Object.Module._extensions..js (module.js:416:10)
    at Module.load (module.js:343:32)
    at Function.Module._load (module.js:300:12)
    at Function.Module.runMain (module.js:441:10)


Expected results:
A list of options and flags.

Additional info:
See attachment for system environment variables

Comment 1 Fedora Update System 2016-07-08 06:55:31 UTC
nodejs-js-beautify-1.6.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ee233ff75

Comment 2 Fedora Update System 2016-07-08 07:08:47 UTC
nodejs-js-beautify-1.6.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7253ddb877

Comment 3 Fedora Update System 2016-07-10 03:52:58 UTC
nodejs-js-beautify-1.6.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7253ddb877

Comment 4 Fedora Update System 2016-07-10 15:58:21 UTC
nodejs-js-beautify-1.6.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ee233ff75

Comment 5 Fedora Update System 2016-07-17 00:52:43 UTC
nodejs-js-beautify-1.6.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-07-18 20:52:16 UTC
nodejs-js-beautify-1.6.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.